
Foreman - Refactor #27359

Update audited gem to 4.9.x

07/22/2019 07:49 AM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6913

  

Description

Audited 4.9.0 was released on 18.7.2019. This release changed audited_changes from hash with indifferent access to hash, where

keys are strings. This change made all tests which accessed parts of the hash using symbols as keys fail.

Let's bump the version and fix all the breakages it may cause.

Related issues:

Related to Foreman - Bug #27347: Pin audited gem to <4.9 Closed

Blocks Foreman - Tracker #24837: Rails 6.0 Tracker Closed

Blocked by Katello - Bug #27725: Change katello test to be compatible with au... Closed

Associated revisions

Revision f3a5a600 - 08/28/2019 01:51 PM - Adam Ruzicka

Fixes #27359 - Bump audited to 4.9.0

Revision 941d1536 - 08/28/2019 01:51 PM - Adam Ruzicka

Fixes #27359 - Fix User and Usergroup tests

History

#1 - 07/22/2019 07:49 AM - Adam Ruzicka

- Related to Bug #27347: Pin audited gem to <4.9 added

#2 - 07/22/2019 07:53 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Adam Ruzicka

- Pull request https://github.com/theforeman/foreman/pull/6913 added

#3 - 07/23/2019 07:56 AM - Anonymous

- Blocks Tracker #24837: Rails 6.0 Tracker added

#4 - 08/28/2019 11:03 AM - Tomer Brisker

- Blocked by Bug #27725: Change katello test to be compatible with audited gem 4.9.0 added

#5 - 08/28/2019 01:51 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#6 - 08/28/2019 02:01 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset f3a5a6005862e5bb0fdc85114e089a47f9a1d2f1.
#7 - 10/24/2019 12:38 PM - Amit Upadhye

- Category set to Packaging
